com.google.common.collect

## Class ComputationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.common.collect.ComputationException

- All Implemented Interfaces:
    java.io.Serializable

      @GwtCompatible
      public class ComputationException
      extends java.lang.RuntimeException

  Wraps an exception that occurred during a computation.
  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComputationException(java.lang.Throwable cause)` Creates a new instance with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputationException

          public ComputationException(@Nullable
                              java.lang.Throwable cause)

      Creates a new instance with the given cause.